PojoMetaMethodSite.PojoCachedMethodSite (Groovy 2.4.15)
Date: 2018-03-23

org.codehaus.groovy.runtime.callsite

## Class PojoMetaMethodSite.PojoCachedMethodSite

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.MetaClassSite
    - - org.codehaus.groovy.runtime.callsite.MetaMethodSite
      - - org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite
        - - org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite.PojoCachedMethodSite

- All Implemented Interfaces:
    CallSite
  Direct Known Subclasses:
    PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrap, PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrapNoCoerce
  Enclosing class:
    PojoMetaMethodSite

      public static class PojoMetaMethodSite.PojoCachedMethodSite
      extends PojoMetaMethodSite

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite

      `PojoMetaMethodSite.PojoCachedMethodSite, PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrap, PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrapNoCoerce, PojoMetaMethodSite.PojoMetaMethodSiteNoUnwrap, PojoMetaMethodSite.PojoMetaMethodSiteNoUnwrapNoCoerce`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite

      `version`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaMethodSite

      `params`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

      `metaClass`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PojoCachedMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Object receiver, java.lang.Object[] args)`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite

      `call, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, checkPojoMetaClass, createCachedMethodSite, createNonAwareCallSite, createPojoMetaMethodSite`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoCachedMethodSite

          public PojoCachedMethodSite(CallSite site,
                                      MetaClassImpl metaClass,
                                      MetaMethod metaMethod,
                                      java.lang.Class[] params)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke(java.lang.Object receiver,
                                         java.lang.Object[] args)
                                  throws java.lang.Throwable

      Overrides:
        `invoke` in class `PojoMetaMethodSite`
      Throws:
        `java.lang.Throwable`